package MyTypes::Relationship;

use strict;

use warnings;





__PACKAGE__->_set_element_form_qualified(1);



sub get_xmlns { 'http://webservice.generic.connector.ifw.sam.ca.com/xsd' };



our $XML_ATTRIBUTE_CLASS;

undef $XML_ATTRIBUTE_CLASS;



sub __get_attr_class {

    return $XML_ATTRIBUTE_CLASS;

}



use Class::Std::Fast::Storable constructor => 'none';

use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);



Class::Std::initialize();



{ # BLOCK to scope variables



my %anodeCI_of :ATTR(:get<anodeCI>);

my %associationType_of :ATTR(:get<associationType>);

my %bnodeCI_of :ATTR(:get<bnodeCI>);

my %className_of :ATTR(:get<className>);

my %connectorName_of :ATTR(:get<connectorName>);

my %serviceCI_of :ATTR(:get<serviceCI>);

my %siloName_of :ATTR(:get<siloName>);



__PACKAGE__->_factory(

    [ qw(        anodeCI

        associationType

        bnodeCI

        className

        connectorName

        serviceCI

        siloName



    ) ],

    {

        'anodeCI' => \%anodeCI_of,

        'associationType' => \%associationType_of,

        'bnodeCI' => \%bnodeCI_of,

        'className' => \%className_of,

        'connectorName' => \%connectorName_of,

        'serviceCI' => \%serviceCI_of,

        'siloName' => \%siloName_of,

    },

    {

        'anodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'associationType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'bnodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'connectorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'serviceCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'siloName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

    },

    {



        'anodeCI' => 'anodeCI',

        'associationType' => 'associationType',

        'bnodeCI' => 'bnodeCI',

        'className' => 'className',

        'connectorName' => 'connectorName',

        'serviceCI' => 'serviceCI',

        'siloName' => 'siloName',

    }

);



} # end BLOCK















1;





=pod



=head1 NAME



MyTypes::Relationship



=head1 DESCRIPTION



Perl data type class for the XML Schema defined complexType

Relationship from the namespace http://webservice.generic.connector.ifw.sam.ca.com/xsd.













=head2 PROPERTIES



The following properties may be accessed using get_PROPERTY / set_PROPERTY

methods:



=over



=item * anodeCI





=item * associationType





=item * bnodeCI





=item * className





=item * connectorName





=item * serviceCI





=item * siloName









=back





=head1 METHODS



=head2 new



Constructor. The following data structure may be passed to new():



 { # MyTypes::Relationship

   anodeCI =>  $some_value, # string

   associationType =>  $some_value, # string

   bnodeCI =>  $some_value, # string

   className =>  $some_value, # string

   connectorName =>  $some_value, # string

   serviceCI =>  $some_value, # string

   siloName =>  $some_value, # string

 },









=head1 AUTHOR



Generated by SOAP::WSDL



=cut



