

package MyElements::addEvents;

use strict;

use warnings;



{ # BLOCK to scope variables



sub get_xmlns { 'http://webservice.generic.connector.ifw.sam.ca.com' }



__PACKAGE__->__set_name('addEvents');

__PACKAGE__->__set_nillable();

__PACKAGE__->__set_minOccurs();

__PACKAGE__->__set_maxOccurs();

__PACKAGE__->__set_ref();



use base qw(

    SOAP::WSDL::XSD::Typelib::Element

    SOAP::WSDL::XSD::Typelib::ComplexType

);



our $XML_ATTRIBUTE_CLASS;

undef $XML_ATTRIBUTE_CLASS;



sub __get_attr_class {

    return $XML_ATTRIBUTE_CLASS;

}



use Class::Std::Fast::Storable constructor => 'none';

use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);



Class::Std::initialize();



{ # BLOCK to scope variables



my %statusEvents_of :ATTR(:get<statusEvents>);



__PACKAGE__->_factory(

    [ qw(        statusEvents



    ) ],

    {

        'statusEvents' => \%statusEvents_of,

    },

    {

        'statusEvents' => 'MyTypes::StatusEvent',

    },

    {



        'statusEvents' => 'statusEvents',

    }

);



} # end BLOCK













} # end of BLOCK







1;





=pod



=head1 NAME



MyElements::addEvents



=head1 DESCRIPTION



Perl data type class for the XML Schema defined element

addEvents from the namespace http://webservice.generic.connector.ifw.sam.ca.com.















=head1 PROPERTIES



The following properties may be accessed using get_PROPERTY / set_PROPERTY

methods:



=over



=item * statusEvents



 $element->set_statusEvents($data);

 $element->get_statusEvents();











=back





=head1 METHODS



=head2 new



 my $element = MyElements::addEvents->new($data);



Constructor. The following data structure may be passed to new():



 {

   statusEvents =>  { # MyTypes::StatusEvent

     cireverseURL =>  $some_value, # string

     className =>  $some_value, # string

     connectorName =>  $some_value, # string

     deviceID =>  $some_value, # string

     eventDetail =>  $some_value, # string

     eventtype =>  $some_value, # string

     instanceID =>  $some_value, # string

     reportTime =>  $some_value, # string

     severity =>  $some_value, # string

     siloAlarmID =>  $some_value, # string

     siloName =>  $some_value, # string

     situationCategory =>  $some_value, # string

     situationMessage =>  $some_value, # string

     situationType =>  $some_value, # string

     userAttribute1 =>  $some_value, # string

     userAttribute2 =>  $some_value, # string

     userAttribute3 =>  $some_value, # string

     userAttribute4 =>  $some_value, # string

     userAttribute5 =>  $some_value, # string

   },

 },



=head1 AUTHOR



Generated by SOAP::WSDL



=cut



