

package MyTypemaps::GenericConnectorService;

use strict;

use warnings;



our $typemap_1 = {
               'addServices/services/relationships/anodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceCIs/cis/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/relationships/connectorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/siloName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices' => 'MyElements::addServices',
               'getServicesResponse/return/relationships/bnodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIs/ciUpdates/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getCIEventsResponse' => 'MyElements::getCIEventsResponse',
               'addServices/services/cis/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getCIEventsResponse/return/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addCIs/ciAdds/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents' => 'MyElements::addEvents',
               'addEvents/statusEvents/userAttribute1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addCIs/ciAdds/ciProperties' => 'MyTypes::CIProperty',
               'updateCIsResponse/return' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'updateCIs/ciUpdates/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/cis/ciProperties' => 'MyTypes::CIProperty',
               'deleteCIs/ciDeletes/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIs/ciUpdates' => 'MyTypes::CIEvent',
               'getStatusEventsResponse/return/situationMessage' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/cis/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/severity' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse' => 'MyElements::getStatusEventsResponse',
               'getServiceRelationshipsResponse' => 'MyElements::getServiceRelationshipsResponse',
               'addEvents/statusEvents/userAttribute3' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceCIs' => 'MyElements::addServiceCIs',
               'getStatusEventsResponse/return/userAttribute2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/situationMessage' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/relationships/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEventsResponse/return' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getServicesResponse/return' => 'MyTypes::Service',
               'addEvents/statusEvents/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/relationships/siloName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getCIEventsResponse/return/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIsResponse' => 'MyElements::updateCIsResponse',
               'addServices/services/relationships/bnodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/userAttribute4' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationshipsResponse' => 'MyElements::addServiceRelationshipsResponse',
               'getServicesResponse' => 'MyElements::getServicesResponse',
               'getStatusEventsResponse/return/userAttribute5' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIs/ciUpdates/ciProperties' => 'MyTypes::CIProperty',
               'deleteCIs/ciDeletes' => 'MyTypes::CIEvent',
               'addEvents/statusEvents/connectorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceCIs/cis/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationships/relationships' => 'MyTypes::Relationship',
               'addCIs/ciAdds/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIs/ciUpdates/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'deleteCIsResponse' => 'MyElements::deleteCIsResponse',
               'addEvents/statusEvents/cireverseURL' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationships/relationships/anodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/relationships' => 'MyTypes::Relationship',
               'addServiceCIs/cis' => 'MyTypes::CIEvent',
               'addEvents/statusEvents/userAttribute5' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addCIs/ciAdds' => 'MyTypes::CIEvent',
               'addServices/services/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getCIEventsResponse/return/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/cis/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/cis/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/cis/ciProperties' => 'MyTypes::CIProperty',
               'addServices/services' => 'MyTypes::Service',
               'getServicesResponse/return/cis/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceCIsResponse/return/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/relationships/anodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/situationCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/eventDetail' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationships/relationships/serviceCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addCIs/ciAdds/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/relationships/associationType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getCIEventsResponse/return/ciProperties' => 'MyTypes::CIProperty',
               'getServiceCIsResponse' => 'MyElements::getServiceCIsResponse',
               'addServiceRelationships/relationships/siloName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'addEvents/statusEvents/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/relationships/siloName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/cis/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/ciProperties' => 'MyTypes::CIProperty',
               'addEvents/statusEvents/reportTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/severity' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEventsResponse' => 'MyElements::addEventsResponse',
               'getCIEventsResponse/return/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/situationType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/userAttribute1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationshipsResponse/return' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getServicesResponse/return/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/cis/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'deleteCIs/ciDeletes/ciProperties' => 'MyTypes::CIProperty',
               'getServicesResponse/return/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/cis' => 'MyTypes::CIEvent',
               'addServiceCIs/cis/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/relationships/associationType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return' => 'MyTypes::StatusEvent',
               'addServiceRelationships/relationships/connectorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'deleteCIs/ciDeletes/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/connectorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceRelationshipsResponse/return/bnodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getCIEventsResponse/return/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents' => 'MyTypes::StatusEvent',
               'getServiceCIsResponse/return/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addCIsResponse' => 'MyElements::addCIsResponse',
               'addServiceCIs/cis/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'deleteCIsResponse/return' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getServicesResponse/return/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceRelationshipsResponse/return/anodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/cireverseURL' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIs/ciUpdates/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/relationships/connectorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'deleteCIs' => 'MyElements::deleteCIs',
               'addServiceCIs/cis/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIs' => 'MyElements::updateCIs',
               'addCIs/ciAdds/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/relationships/serviceCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/siloAlarmID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceRelationshipsResponse/return/connectorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/userAttribute3' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/userAttribute2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/cis/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'deleteCIs/ciDeletes/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceRelationshipsResponse/return/serviceCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/relationships/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/cis/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/situationCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addCIsResponse/return' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'deleteCIs/ciDeletes/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceCIsResponse/return/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceCIs/cis/ciProperties' => 'MyTypes::CIProperty',
               'getServiceRelationshipsResponse/return' => 'MyTypes::Relationship',
               'addServices/services/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceRelationshipsResponse/return/siloName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceRelationshipsResponse/return/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/siloAlarmID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addCIs' => 'MyElements::addCIs',
               'addEvents/statusEvents/eventDetail' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/cis/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'deleteCIs/ciDeletes/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/reportTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceCIsResponse/return/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getCIEventsResponse/return/ciProperties/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceCIsResponse/return' => 'MyTypes::CIEvent',
               'addServiceCIsResponse' => 'MyElements::addServiceCIsResponse',
               'addServices/services/cis' => 'MyTypes::CIEvent',
               'getStatusEventsResponse/return/userAttribute4' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationships/relationships/associationType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/siloName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addCIs/ciAdds/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/cis/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getStatusEventsResponse/return/situationType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addEvents/statusEvents/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/cis/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationships/relationships/bnodeCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceCIsResponse/return/ciProperties' => 'MyTypes::CIProperty',
               'deleteCIs/ciDeletes/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationships/relationships/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/relationships/serviceCI' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServiceCIsResponse/return/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceCIs/cis/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServicesResponse/return' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getCIEventsResponse/return' => 'MyTypes::CIEvent',
               'getServiceCIsResponse/return/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIs/ciUpdates/ciProperties/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServicesResponse' => 'MyElements::addServicesResponse',
               'getServicesResponse/return/ciProperties' => 'MyTypes::CIProperty',
               'addServiceCIsResponse/return' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getServiceRelationshipsResponse/return/associationType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServices/services/relationships' => 'MyTypes::Relationship',
               'getStatusEventsResponse/return/className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getServicesResponse/return/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'updateCIs/ciUpdates/deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addServiceRelationships' => 'MyElements::addServiceRelationships',
               'addCIs/ciAdds/instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string'
             };
;



sub get_class {

  my $name = join '/', @{ $_[1] };

  return $typemap_1->{ $name };

}



sub get_typemap {

    return $typemap_1;

}



1;



__END__



__END__



=pod



=head1 NAME



MyTypemaps::GenericConnectorService - typemap for GenericConnectorService



=head1 DESCRIPTION



Typemap created by SOAP::WSDL for map-based SOAP message parsers.



=cut



