use MyInterfaces::GenericConnectorService::GenericConnectorServiceHttpSoap11Endpoint;
my $service = MyInterfaces::GenericConnectorService::GenericConnectorServiceHttpSoap11Endpoint->new();
my $result = $service->addCIs(
 {
   ciAdds => [
   {
   	ciProperties => [ {name => "Vendor" , value => "CISCO"}, { name => "ProductName" , value => "Login"}],
     	className => "ApplicationServer",
	deviceID => "ExchangeServer",
	eventtype => "AddCIEvent",
	instanceID => "ExchangeServer",
   },
   {
   	ciProperties => [ {name => "Vendor" , value => "LUCENT"}, { name => "ProductName" , value => "Login"}, { name => "ProcessorType" , value => "MultiCore"}],
     	className => "Processor",
	deviceID => "CPU",
	eventtype => "AddCIEvent",
	instanceID => "CPU",
   }
   ],
 },,
);
die $result if not $result;
print $result;
